View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000782aMuleExternal Connpublic2006-01-13 19:092008-02-24 01:25
Reporterrg3 
Assigned ToXaignar 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.1.0 
Target VersionFixed in VersionSVN 
Summary0000782: Wrong request on EC port makes amuled crash
DescriptionHello,

While experimenting with the settings in amuled, I tried to connect (by accident) with my web browser to the EC port instead of the webserver port. To my surprise, this made amuled crash. I think it shouldn't happen. If a malformed request is sent through the EC port, amuled should close the connection or, in general, do something that allows it to recover and continue working, but not crash, IMHO.

Greetings,

-Ricardo
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0002669)
Xaignar (manager)
2008-02-24 01:25

This has been fixed in current SVN (for some time actually). Thanks for reporting the problem.

- Issue History
Date Modified Username Field Change
2006-01-13 19:09 rg3 New Issue
2006-01-16 12:47 Kry Priority normal => urgent
2006-01-16 12:47 Kry Status new => acknowledged
2008-02-24 01:25 Xaignar Status acknowledged => resolved
2008-02-24 01:25 Xaignar Fixed in Version => SVN
2008-02-24 01:25 Xaignar Resolution open => fixed
2008-02-24 01:25 Xaignar Assigned To => Xaignar
2008-02-24 01:25 Xaignar Note Added: 0002669


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker